FactoryGirl.define do
  sequence :num do |n|
    "OO#{n}"
  end

  factory :order_header do
    order_number { generate(:num) }
    customer_name { "cust_#{generate(:num)}" }
  end

  factory :order_line do
    item_name 'test item'
    quantity 100
    price 10
  end

  factory :shipment do
    shipping_date { Time.now }
    shipping_quantity 1
  end

end